/*
*  This script is used to replace default searchBar's "searchBookmark" function.
*
* Author: Stphane BERTIN
* http://bookmarkdd.mozdev.org
*
*/

// search String within column specified by the Menulist added by BookmarksPanelOverlay
function BddsearchBookmarks(aInput){

    //When Panel is opened or menulist changed the default aInput is event and not search-box.value
    if (typeof aInput != "string") {
	aInput = document.getElementById("search-box").value;
    }

    var searchMenu = document.getElementById("search-in-column");
    var inputText = searchMenu.selectedItem.id;
    var bookmarkView = document.getElementById('bookmarks-view');

    if(!bookmarkView.originalRef)
	bookmarkView.originalRef = bookmarkView.tree.getAttribute("ref");

    if (!aInput){
	bookmarkView.tree.setAttribute("ref", bookmarkView.originalRef);
    } else {
	switch(inputText){
	    case "Name":
		bookmarkView.tree.setAttribute("ref",
		"find:datasource=rdf:bookmarks&match=http://home.netscape.com/NC-rdf#Name&method=contains&text=" + encodeURIComponent(aInput));
		break;
	    case "Location":
		bookmarkView.tree.setAttribute("ref",
		"find:datasource=rdf:bookmarks&match=http://home.netscape.com/NC-rdf#URL&method=contains&text=" + encodeURIComponent(aInput));
		break;
	    case "Description":
		bookmarkView.tree.setAttribute("ref",
		"find:datasource=rdf:bookmarks&match=http://home.netscape.com/NC-rdf#Description&method=contains&text=" + encodeURIComponent(aInput));
		break;
	    default:
		bookmarkView.tree.setAttribute("ref",
		"find:datasource=rdf:bookmarks&match=http://home.netscape.com/NC-rdf#Name&method=contains&text=" + encodeURIComponent(aInput));
	}
    }
}
